aboutsummaryrefslogtreecommitdiff
path: root/build-tool/scripts/install-packages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-tool/scripts/install-packages.sh')
-rwxr-xr-xbuild-tool/scripts/install-packages.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/build-tool/scripts/install-packages.sh b/build-tool/scripts/install-packages.sh
index 1a238b6c98..4a461a0d55 100755
--- a/build-tool/scripts/install-packages.sh
+++ b/build-tool/scripts/install-packages.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Copyright © 2022 Arm Ltd and Contributors. All rights reserved.
+# Copyright © 2022, 2024 Arm Ltd and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#
@@ -91,6 +91,25 @@ install_apt_packages()
rm -rf /var/lib/apt/lists/*
}
+usage_darwin()
+{
+ cat <<EOF
+The $osname platform requires manual setup:
+0) Install the command line developer tools (at a minimum)
+1) Install homebrew and then run the following in a terminal:
+ 1) brew install cmake
+ 2) brew install scons
+ 3) brew install gnu-getopt
+ 4) brew install wget
+EOF
+}
+
+osname=$(uname)
+if [ "$osname" == "Darwin" ]; then
+ usage_darwin
+ exit 1
+fi
+
name=$(basename "$0")
if [ ! "$(id -u)" -eq 0 ]; then